"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const orderbook_1 = require("./markets/orderbook");
const balances_1 = require("./account/balances");
const add_1 = require("./orders/add");
const get_1 = require("./orders/get");
const cancel_1 = require("./orders/cancel");
exports.common = {
    publicRequest: common_1.publicRequest,
    privateRequest: common_1.privateRequest,
    generateSignature: common_1.generateSignature,
    generateContentHash: common_1.generateContentHash,
};
exports.orders = {
    get: get_1.get,
    add: add_1.add,
    cancel: cancel_1.cancel,
};
exports.account = {
    balances: balances_1.balances,
};
exports.markets = {
    orderbook: orderbook_1.orderbook,
};
